Configure Vcf Certificate Authorities

Configure Vcf Certificate Authorities
Update / save the certificate authority configuration

This API will be invoked by UI to update /save the CA configurations

Request
URI
PUT
https://{api_host}/suite-api/api/fleet-management/certificate-management/certificate-authorities
COPY
Request Body

The certificate authority configuration (Microsoft or OpenSSL)

VcfConfigureCASpec of type(s) application/json
Required  
{
    "certificateAuthoritiesSpec": {
        "microsoftCertificateAuthoritySpec": {
            "secret": "string",
            "serverUrl": "string",
            "templateName": "string",
            "username": "string"
        },
        "openSSLCertificateAuthoritySpec": {
            "commonName": "string",
            "country": "string",
            "locality": "string",
            "organization": "string",
            "organizationUnit": "string",
            "state": "string"
        }
    },
    "certificateAuthorityType": "string",
    "vcfComponentSpec": {
        "vcfComponentType": "string",
        "vcfDomainId": "string",
        "vcfDomainName": "string",
        "vcfHostName": "string"
    }
}
object
certificateAuthoritiesSpec
Optional

Represents Certificate Authority

string
certificateAuthorityType
Optional

Represents Certificate Authority Type

Enumeration: MICROSOFT, OPENSSL
object
vcfComponentSpec
Optional

Represents VCF Component selection

Authentication
This operation uses the following authentication methods.
Responses
200

Update / save the CA configurations

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/fleet-management/certificate-management/certificate-authorities